JsonActionContext (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.json.action.JsonActionContext class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.json.action
Class JsonActionContext

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap
              org.hyperic.hq.ui.json.action.JsonActionContext

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map

    public class JsonActionContext

extends java.util.HashMap

context for json struts action apis

See Also:
  Serialized Form

Constructor Summary
`protected` | `JsonActionContext()`
`protected` | `JsonActionContext(org.apache.struts.action.ActionMapping map, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`EscalationAlertType` | `getAlertDefType()`
`java.lang.Integer` | `getId()`
`JSONResult` | `getJSONResult()`
`java.lang.String` | `getName()`
`java.util.Map` | `getParameterMap()`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSession` | `getSession()`
`int` | `getSessionId()`
`java.io.Writer` | `getWriter()`
`boolean` | `isPrettyPrint()`
`static JsonActionContext` | `newInstance(org.apache.struts.action.ActionMapping map, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `setJSONResult(JSONResult result)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### JsonActionContext

    protected JsonActionContext()

### JsonActionContext

    protected JsonActionContext(org.apache.struts.action.ActionMapping map,
                                org.apache.struts.action.ActionForm form,
                                javax.servlet.http.HttpServletRequest request,
                                javax.servlet.http.HttpServletResponse response)

Method Detail

### newInstance

    public static JsonActionContext newInstance(org.apache.struts.action.ActionMapping map,
                                                org.apache.struts.action.ActionForm form,
                                                javax.servlet.http.HttpServletRequest request,
                                                javax.servlet.http.HttpServletResponse response)

### getId

    public java.lang.Integer getId()

### getAlertDefType

    public EscalationAlertType getAlertDefType()

### getName

    public java.lang.String getName()

### getSessionId

    public int getSessionId()

### getWriter

    public java.io.Writer getWriter()
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getJSONResult

    public JSONResult getJSONResult()

### setJSONResult

    public void setJSONResult(JSONResult result)

### isPrettyPrint

    public boolean isPrettyPrint()

### getParameterMap

    public java.util.Map getParameterMap()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getSession

    public javax.servlet.http.HttpSession getSession()

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.